/*
 * =====================================================================================
 *
 *       Filename:  cpu.h
 *
 *    Description:  6502 CPU emulator headers 
 *
 *        Version:  1.0
 *        Created:  2023-09-21 10:12:33 PM
 *       Revision:  none
 *       Compiler:  gcc
 *
 *         Author:  William Nolin, 
 *   Organization:  
 *
 * =====================================================================================
 */

#include "types.h"
#include "system.h"

#ifndef NESEMULATOR_CPU_H
#define NESEMULATOR_CPU_H

void cpu_init(CPU *cpu);

void cpu_cycle(System *system);

#endif
